Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class MetaBeanProperty

    java.lang.Object
      groovy.lang.MetaProperty
          groovy.lang.MetaBeanProperty

    public class MetaBeanProperty
    extends MetaProperty

Represents a property on a bean which may have a getter and/or a setter

Authors:
  James Strachan
  Pilho Kim

Version:
  \$Revision: 20589 \$

Field Summary

Fields inherited from class MetaProperty
PROPERTY_SET_PREFIX, name, type

Constructor Summary
`MetaBeanProperty(String name, Class type, MetaMethod getter, MetaMethod setter)`

Method Summary
`CachedField` | `getField()`
`MetaMethod` | `getGetter()` Get the getter method.
`int` | `getModifiers()`
`Object` | `getProperty(Object object)` Get the property of the given object.
`MetaMethod` | `getSetter()` Get the setter method.
`void` | `setField(CachedField f)`
`void` | `setProperty(Object object, Object newValue)` Set the property on the given object to the new value.

Methods inherited from class MetaProperty
getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MetaBeanProperty

    public MetaBeanProperty(String name, Class type, MetaMethod getter, MetaMethod setter)

Method Detail

### getField

    public CachedField getField()

### getGetter

    public MetaMethod getGetter()

  Get the getter method.

### getModifiers

    public int getModifiers()

### getProperty

    public Object getProperty(Object object)

  Get the property of the given object.
  throws:
    RuntimeException if the property could not be evaluated
  Parameters:
    `object` - which to be got
  Returns:
    the property of the given object

### getSetter

    public MetaMethod getSetter()

  Get the setter method.

### setField

    public void setField(CachedField f)

### setProperty

    public void setProperty(Object object, Object newValue)

  Set the property on the given object to the new value.
  throws:
    RuntimeException if the property could not be set
  Parameters:
    `object` - on which to set the property
    `newValue` - the new value of the property

Copyright © 2003-2010 The Codehaus. All rights reserved.